%define		module	dbus-sharp-glib

Summary:	D-Bus for .NET - GLib integration module
Summary(pl.UTF-8):	D-Bus dla .NET - moduł integrujący z GLib
Name:		dotnet-%{module}
Version:	0.6.0
Release:	2
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/mono/dbus-sharp-glib/releases
Source0:	https://github.com/mono/dbus-sharp-glib/releases/download/v0.6/%{module}-%{version}.tar.gz
# Source0-md5:	398475a4ed7793eb587c4f0eb913bb7f
Patch0:		%{name}-monodir.patch
URL:		http://mono.github.io/dbus-sharp/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dotnet-dbus-sharp-devel >= 1:0.8.0
BuildRequires:	mono-csharp >= 1.1.13
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.015
Requires:	mono >= 1.1.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# no native code
%define		_enable_debug_packages	0

%description
dbus-sharp-glib is a fork of ndesk-dbus-glib, which provides GLib main
loop integration for Managed D-Bus.

%description -l pl.UTF-8
dbus-sharp-glib to odgałęzienie projektu ndesk-dbus-glib,
zapewniającego integrację głównej pętli GLib dla "zarządzanego D-Bus".

%package devel
Summary:	Development files for D-Bus GLib .NET library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki .NET D-Bus GLib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dotnet-dbus-sharp-devel >= 1:0.8.0
Requires:	mono-devel >= 1.1.13

%description devel
Development files for D-Bus GLib .NET library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki .NET D-Bus GLib.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	GMCS=/usr/bin/mcs
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%{_prefix}/lib/mono/gac/dbus-sharp-glib

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/dbus-sharp-glib-2.0
%{_pkgconfigdir}/dbus-sharp-glib-2.0.pc
%changelog
* Tue Apr 26 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dotnet-dbus-sharp-glib.git;a=log;h=master

* Tue Apr 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 4986fb1
- enhanced monodir patch to cover .pc file adjustment; release 2

* Tue Apr 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 8480719
- disable debug packages

* Tue Apr 26 2022 Jakub Bogusz <qboosh@pld-linux.org> b4dea86
- updated to 0.6.0 (API 2.0)

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> dffaf06
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Jul 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 89e21ac
- adjusted descriptions and -devel packaging
- release 2

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> 38817d2
- fix install on 64 bits

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> 82a6ffa
- reversed

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> 99fa102
- use _libdir

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> 4809327
- BR: dotnet-dbus-sharp-devel >= 1:0.7

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> b103362
- drop stuff from dotnet-ndesk-dbus-glib-sharp.spec
- adjust Requires in -devel package

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> d919eb4
- new, based on dotnet-ndesk-dbus-glib-sharp.spec

